<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Banners</title>
    <style>
      .image-to-show {
        width: 400px;
        height: 400px;
      }
      .images-wrapper {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
      }
      .buttons {
        display: flex;
        margin-top: 25px;
        width: 400px;
        justify-content: space-evenly;
      }
      button{
        background-color: rgb(175, 149, 57);
        
      }
    </style>
  </head>
  <body>
    <div class="images-wrapper">
      <img src="" alt="image of game" class="image-to-show"/>
    </div>
    <div class="buttons">
      <button class="stop-btn" onclick="(function(){showImages=false}())">Припинити</button>
      <button class="renew-btn" onclick="(function(){showImages=true; setTimeout(showImage, 3000);}())">Відновити показ</button>
    </div>
    <script>

const imageSrc = ['./img/1.jpg', './img/2.jpg', './img/3.JPG', './img/4.png'];
var index = 0;
var showImages = true;

function showImage() {
  if (showImages){
    console.log(index);
    document.querySelector(".image-to-show").src = imageSrc[index];
    index = (index + 1) % imageSrc.length;
    setTimeout(showImage, 3000);
  }
}
window.onload = showImage();

    </script>
  </body>
</html>
